package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * 订单类型(报名、续费、小课购买、其他)
 */
public enum OrderTypeEnum implements BaseEnum<String, OrderTypeEnum> {
	APPLY("APPLY", "报名"),
	RENEW("RENEW", "续费"),
	SPORADIC("SPORADIC", "零星收费"),
	OTHER("OTHER", "其他"),
	SMALL_CLASS_TO_BUY("SMALL_CLASS_TO_BUY", "VIP购买"),
	PRACTICE_GROUP_BUY("PRACTICE_GROUP_BUY", "网管课购买"),
	PRACTICE_GROUP_RENEW("PRACTICE_GROUP_RENEW", "网管课续费"),
	COURSE_GROUP_BUY("COURSE_GROUP_BUY","对外课程购买"),
	LUCK("LUCK", "福袋活动"),
	DOUBLE_ELEVEN2020("DOUBLE_ELEVEN2020","2020双十一活动"),
	TENANT_RECHARGE("TENANT_RECHARGE","租户充值"),
	GOODS_SELL("GOODS_SELL","商品销售"),
	OUTORDER("OUTORDER", "外部订单"),
	REPAIR("REPAIR","乐器维修"),
	SUBJECT_CHANGE("SUBJECT_CHANGE","声部更换"),
	DEGREE_REGISTRATION("DEGREE_REGISTRATION", "考级报名");


	private String code;

	private String msg;

	OrderTypeEnum(String code, String msg) {
		this.code = code;
		this.msg = msg;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	@Override
	public String getCode() {
		return this.code;
	}
}
